Skip to main content
`Ctrl`+`K`

# physical_type_to_world_axis

ndcube.utils.wcs.physical_type_to_world_axis(physical_type, world_axis_physical_types)

  Returns world axis index of a physical type based on WCS world_axis_physical_types.

  Input can be a substring of a physical type, so long as it is unique.

  Parameters:

    - physical_type (`str`) – The physical type or a substring unique to a physical type.

    - world_axis_physical_types (sequence of `str`) – All available physical types. Ordering must be same as `astropy.wcs.wcsapi.BaseLowLevelWCS.world_axis_physical_types`

  Returns:

    world_axis – The world axis index of the physical type.

  Return type:

    `numbers.Integral`